/*
    UTF8
*/

/***************************************************************************
 *   Copyright (C) 2005 by Teppei Tamra   *
 *   TAM(tam-t@par.odn.ne.jp)   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef JPKEYTABLE_H
#define JPKEYTABLE_H

struct {
    int x;
    int y;
    int w;
    int h;
    char color[64];
    char label[64];
    char event[64];
    char shift_label[64];
    char shift_event[64];
    char alt_label[64];
    char alt_event[64];
    char grp_label[64];
    char grp_event[64];
    char shift_grp_label[64];
    char shift_grp_event[64];
    char modifier[64];
} jpkeytable[] = {
    {0,0,2,2,"gray","ESC","escape","","","","","","","","",""},
    {4,0,2,2,"gray","F1","F1","","","","","","","","",""},
    {6,0,2,2,"gray","F2","F2","","","","","","","","",""},
    {8,0,2,2,"gray","F3","F3","","","","","","","","",""},
    {10,0,2,2,"gray","F4","F4","","","","","","","","",""},
    {13,0,2,2,"gray","F5","F5","","","","","","","","",""},
    {15,0,2,2,"gray","F6","F6","","","","","","","","",""},
    {17,0,2,2,"gray","F7","F7","","","","","","","","",""},
    {19,0,2,2,"gray","F8","F8","","","","","","","","",""},
    {22,0,2,2,"gray","F9","F9","","","","","","","","",""},
    {24,0,2,2,"gray","F10","F10","","","","","","","","",""},
    {26,0,2,2,"gray","F11","F11","","","","","","","","",""},
    {28,0,2,2,"gray","F12","F12","","","","","","","","",""},
    {0,4,2,2,"gray","半角\n全角","Zenkaku_Hankaku","","","漢字","Kanji","","","","","grp"},
    {2,4,2,2,"white","1","1","!","exclam","","","ぬ","","","",""},
    {4,4,2,2,"white","2","2","\"","backslash","","","ふ","","","",""},
    {6,4,2,2,"white","3","3","#","numbersign","","","あ","","","",""},
    {8,4,2,2,"white","4","4","$","dollar","","","う","","ぅ","",""},
    {10,4,2,2,"white","5","5","%","percent","","","え","","ぇ","",""},
    {12,4,2,2,"white","6","6","&","ampersand","","","お","","ぉ","",""},
    {14,4,2,2,"white","7","7","'","apostrophe","","","や","","ゃ","",""},
    {16,4,2,2,"white","8","8","(","parenleft","","","ゆ","","ゅ","",""},
    {18,4,2,2,"white","9","9",")","parenright","","","よ","","ょ","",""},
    {20,4,2,2,"white","0","0","~","asciitilde","","","わ","","を","",""},
    {22,4,2,2,"white","-","-","=","equal","","","ほ","","","",""},
    {24,4,2,2,"white","^","^","~","asciitilde","","","へ","","","",""},
    {26,4,2,2,"white","\\","\\","|","bar","","","ー","","","",""},
    {28,4,2,2,"gray","Back\nSpace","BackSpace","","","","","","","","",""},
    {0,6,3,2,"gray","Tab","Tab","","","","","","","","",""},
    {3,6,2,2,"white","q","q","Q","Q","","","た","","","",""},
    {5,6,2,2,"white","w","w","W","W","","","て","","","",""},
    {7,6,2,2,"white","e","e","E","E","","","い","","ぃ","",""},
    {9,6,2,2,"white","r","r","R","R","","","す","","","",""},
    {11,6,2,2,"white","t","t","T","T","","","か","","","",""},
    {13,6,2,2,"white","y","y","Y","Y","","","ん","","","",""},
    {15,6,2,2,"white","u","u","U","U","","","な","","","",""},
    {17,6,2,2,"white","i","i","I","I","","","に","","","",""},
    {19,6,2,2,"white","o","o","O","O","","","ら","","","",""},
    {21,6,2,2,"white","p","p","P","P","","","せ","","","",""},
    {23,6,2,2,"white","@","at","`","grave","","","゛","","","",""},
    {25,6,2,2,"white","[","bracketleft","{","braceleft","","","゜","","「","",""},
    {28,6,2,4,"gray","Enter","Return","","","","","","","","",""},
    {0,8,4,2,"gray","英数","Eisu_toggle","","","","","","","","",""},
    {4,8,2,2,"white","a","a","A","A","","","ち","","","",""},
    {6,8,2,2,"white","s","s","S","S","","","と","","","",""},
    {8,8,2,2,"white","d","d","D","D","","","し","","","",""},
    {10,8,2,2,"white","f","f","F","F","","","は","","","",""},
    {12,8,2,2,"white","g","g","G","G","","","き","","","",""},
    {14,8,2,2,"white","h","h","H","H","","","く","","","",""},
    {16,8,2,2,"white","j","j","J","J","","","ま","","","",""},
    {18,8,2,2,"white","k","k","K","K","","","の","","","",""},
    {20,8,2,2,"white","l","l","L","L","","","り","","","",""},
    {22,8,2,2,"white",";","semicolon","+","plus","","","れ","","","",""},
    {24,8,2,2,"white",":","colon","*","asterisk","","","け","","","",""},
    {26,8,2,2,"white","]","bracketright","}","braceright","","","む","","」","",""},
    {0,10,5,2,"gray","Shift","Shift_L","","","","","","","","","shift"},
    {5,10,2,2,"white","z","z","Z","Z","","","つ","","","",""},
    {7,10,2,2,"white","x","x","X","X","","","さ","","","",""},
    {9,10,2,2,"white","c","c","C","C","","","そ","","","",""},
    {11,10,2,2,"white","v","v","V","V","","","ひ","","","",""},
    {13,10,2,2,"white","b","b","B","B","","","こ","","","",""},
    {15,10,2,2,"white","n","n","N","N","","","み","","","",""},
    {17,10,2,2,"white","m","m","M","M","","","も","","","",""},
    {19,10,2,2,"white",",","comma","<","less","","","ね","","、","",""},
    {21,10,2,2,"white",".","period",">","greater","","","る","","。","",""},
    {23,10,2,2,"white","/","slash","?","question","","","め","","・","",""},
    {25,10,2,2,"white","\\","backslash","_","underscore","","","ろ","","","",""},
    {27,10,3,2,"gray","Shift","Shift_R","","","","","","","","","shift"},
    {0,12,3,2,"gray","Ctrl","Control_L","","","","","","","","","control"},
    {3,12,2,2,"gray","Win","","","","","","","","","",""},
    {5,12,3,2,"gray","Alt","Alt_L","","","","","","","","","alt"},
    {8,12,3,2,"gray","無変換","Muhenkan","","","","","","","","",""},
    {11,12,5,2,"gray"," ","space","","","","","","","","",""},
    {16,12,3,2,"gray","変換","Henkan","","","","","","","","",""},
    {19,12,2,2,"gray","カタカナ\nひらがな","Hiragana_Katakana","","","ローマ字","Romaji","","","","",""},
    {21,12,2,2,"gray","Alt","Alt_R","","","","","","","","","alt"},
    {23,12,2,2,"gray","Win","","","","","","","","","",""},
    {25,12,2,2,"gray","Menu","ISO_Level3_Shift","","","","","","","","",""},
    {27,12,3,2,"gray","Ctrl","Control_R","","","","","","","","","control"},
    {31,0,2,2,"gray","Prt\nScr","Print","","","","","","","","",""},
    {33,0,2,2,"gray","Scroll\nLock","Scroll_Lock","","","","","","","","",""},
    {35,0,2,2,"gray","Pause","Break","","","","","","","","",""},
    {31,4,2,2,"gray","Insert","Insert","","","","","","","","",""},
    {33,4,2,2,"gray","Home","Home","","","","","","","","",""},
    {35,4,2,2,"gray","Page\nUp","Page_Up","","","","","","","","",""},
    {31,6,2,2,"gray","Delete","Delete","","","","","","","","",""},
    {33,6,2,2,"gray","End","End","","","","","","","","",""},
    {35,6,2,2,"gray","Page\nDown","Page_Down","","","","","","","","",""},
    {33,10,2,2,"gray","Up","Up","","","","","","","","",""},
    {31,12,2,2,"gray","Left","Left","","","","","","","","",""},
    {33,12,2,2,"gray","Down","Down","","","","","","","","",""},
    {35,12,2,2,"gray","Right","Right","","","","","","","","",""},
    {38,4,2,2,"gray","Num\nLock","Num_Lock","","","","","","","","",""},
    {40,4,2,2,"gray","/","KP_Divide","","","","","","","","",""},
    {42,4,2,2,"gray","*","KP_Multiply","","","","","","","","",""},
    {44,4,2,2,"gray","-","KP_Subtract","","","","","","","","",""},
    {38,6,2,2,"white","7","KP_7","","","","","","","","",""},
    {40,6,2,2,"white","8","KP_8","","","","","","","","",""},
    {42,6,2,2,"white","9","KP_9","","","","","","","","",""},
    {44,6,2,4,"gray","+","KP_Add","","","","","","","","",""},
    {38,8,2,2,"white","4","KP_4","","","","","","","","",""},
    {40,8,2,2,"white","5","KP_5","","","","","","","","",""},
    {42,8,2,2,"white","6","KP_6","","","","","","","","",""},
    {38,10,2,2,"white","1","KP_1","","","","","","","","",""},
    {40,10,2,2,"white","2","KP_2","","","","","","","","",""},
    {42,10,2,2,"white","3","KP_3","","","","","","","","",""},
    {44,10,2,4,"gray","Enter","KP_Enter","","","","","","","","",""},
    {38,12,4,2,"white","0","KP_0","","","","","","","","",""},
    {42,12,2,2,"gray",".","KP_Decimal","","","","","","","","",""},
    {0,0,0,0,"","","","","","","","","","","",""}
};

#endif
